# Generated from one_drive-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name one_drive

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A ruby gem to connect with your Microsoft One Drive and read and write the files
License: MIT
URL: https://github.com/DimoMohit/onedrive
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(activesupport) > 4.0.13
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(httparty)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(test-unit-capybara)
BuildArch: noarch

%description
A ruby gem to connect with your Microsoft One Drive and read and write the
files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/one_drive.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.0-1
- Initial package
